#
# spec file for package listexec (Version 0.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         listexec
Copyright:    1997, SuSE GmbH
Group:        X11/Applications
Provides:     empty-tag listexec 
Autoreqprov:  on
Version:      0.5
Release:      380
Summary:      List browser
Source: listexec-0.5.tar.gz
Patch:  listexec-0.5.dif

%description
With this little program one can list all files in a specified
directory and e.g. hear them with a specified sound player or view
them as pictures with a picture viewer.
The syntax may be obtained by
listexec -h

Authors:
--------
    Marcus Schfer <ms@suse.de>
    Martin Scherbaum <maddin@suse.de>

SuSE series: tcl

%prep
%setup
%patch

%install
make install

%files
/usr/X11R6/bin/listexec
%docdir  /usr/X11R6/man/man1
%doc     /usr/X11R6/man/man1/listexec.1.gz

%changelog -n listexec
* Mon Oct 30 2000 - ms@suse.de
- fixed group tag
* Thu Jun 08 2000 - ms@suse.de
- fixed selection bug using arrow keys
* Thu Nov 11 1999 - ms@suse.de
- fixed startup sequence
* Tue Oct 12 1999 - max@suse.de
- fixed path to the tk interpreter
* Mon Oct 11 1999 - max@suse.de
- ready for the new Tcl/Tk packages
* Wed Oct 06 1999 - ms@suse.de
- fixed man page
- fixed usage message
- fixed comand interpretation from file (option -f)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 07 1999 - ms@suse.de
- changed the wish to tcl_new -> /usr/X11R6/bin/wish8.0
- fixed spec file
* Wed Jul 29 1998 - maddin@suse.de
- removed new way of starting because of problems with command line
  argument evaluation
* Tue Jul 28 1998 - maddin@suse.de
- moved version number to 0.5 for gnome compatibility
- repackaged everything (dif now obsolete)
* Tue Jul 07 1998 - maddin@suse.de
- increased version number to 0.4.4
- new feature --ititle
- updated man page
- new way to start listexec (see first line of program)
* Wed Nov 12 1997 - ms@suse.de
- the man page on listexec was updated to
  version 0.4.3 --> fixing some mistakes
* Tue Oct 21 1997 - ms@suse.de
- new program listexec
- developed for S.u.S.E Linux 5.0
- code tcl / tk
- first version 0.4.2
- changes in version 0.4.3
- editing the contents of the list will create a temporary
  listexec.tmp file
- if no EDITOR variable was spezified an error occured
  this problem was fixed
- while starting the command binary the curser chnages
  in clock mode
- if a command after option -e could not be found
  an error message is printed out
